## ncmpc 0.24

=== debian/changelog ===
ncmpc (0.24-1+deb8u1build0.16.04.1) xenial-security; urgency=medium

  * fake sync from Debian

 -- Paulo Flabiano Smorigo <pfsmorigo@canonical.com>  Mon, 14 Sep 2020 19:13:03 +0000

ncmpc (0.24-1+deb8u1) jessie-security; urgency=high

  * Non-maintainer upload by the LTS Team. 
  * CVE-2018-9240
    null pointer dereference
 
 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 25 Apr 2020 19:03:02 +0200

ncmpc (0.24-1) unstable; urgency=medium

  * New upstream release.

 -- Sebastian Harl <tokkee@debian.org>  Tue, 15 Jul 2014 20:50:09 +0200

ncmpc (0.23-1) unstable; urgency=low

  * New upstream release.
  * debian/rules:
    - Removed work-around for leoslyrics; the scripts were removed upstream.

 -- Sebastian Harl <tokkee@debian.org>  Sat, 12 Jul 2014 19:30:57 +0200

ncmpc (0.21-1) unstable; urgency=low

  * New upstream release (Closes: #659815).
    - Fixes a crash on the lyrics screen; thanks to Jonathan Neuschäfer for
      reporting this (Closes: #638830).
    - Fixes linking with ld --as-needed; thanks to Matthias Klose for
      reporting this (Closes: #641612).
    - Fixes connection reporting when using $MPD_HOST; thanks to Daniel Kahn
      Gillmor for reporting this (Closes: #605710).
  * debian/control:
    - Build-depend on libmpdclient-dev (>= 2.5~); this is required for the new
      chat screen.
    - Updated to standards-version 3.9.5.
  * debian/rules:
    - Enable chat-screen feature.
    - Split build target into build-arch and build-indep.
    - Use dpkg-buildflags to get CPPFLAGS, CFLAGS, and LDFLAGS.
    - Do not install leoslyrics plugins; Leo's Lyrics's API seems to be done;
      thanks to Thorsten Sperber for reporting this (Closes: #654243).
  * debian/control, debian/rules:
    - Enable documentation and build-depend on doxygen.
  * debian/patches, debian/control:
    - Dropped bts589660-updated-manpage; merged upstream.
    - Dropped build-dependency on dpatch.
    - Dropped debian/README.source.
  * debian/source/format:
    - Switch to source format '3.0 (quilt)'; thanks to Jari Aalto for
      reporting this and providing initial patches (Closes: #668488).

 -- Sebastian Harl <tokkee@debian.org>  Sun, 27 Apr 2014 14:06:11 +0200

ncmpc (0.17-1) unstable; urgency=low

  * New upstream release.
    - Fixed range selection in "shuffle" command; thanks to Michael Marineau
      for reporting this (Closes: #585823).
  * debian/patches:
    - Added bts589660-updated-manpage -- updated obsolete parts of the
      manpage; thanks to Martin Hradil for reporting this (Closes: #589660).
  * debian/control, debian/copyright:
    - Updated standards-version to 3.9.1 -- include the complete BSD license
      in debian/copyright rather than referencing the file in /u/s/common-
      licenses.

 -- Sebastian Harl <tokkee@debian.org>  Fri, 30 Jul 2010 14:49:31 +0200

ncmpc (0.16.1-1) unstable; urgency=low

  * New upstream release.
  * debian/patches:
    - Removed include_config_h.dpatch -- included upstream.
    - Removed manpage_typos.dpatch -- included upstream.

 -- Sebastian Harl <tokkee@debian.org>  Tue, 19 Jan 2010 21:22:21 +0100

ncmpc (0.16-1) unstable; urgency=low

  * New upstream release:
    - Fixed accuracy of "Database updated" message; thanks to Joey Hess for
      reporting this (Closes: #548266).
    - Update volume display without delay; thanks to Joey Hess for reporting
      this (Closes: #551271).
    - Execute lyrics plugins according to their lexical sorting order; thanks
      to Jonathan Neuschäfer for reporting this (Closes: #553063).
  * debian/control:
    - Build-depend on libmpdclient-dev, required by the new upstream release.
    - Build-depend on dpatch.
    - Let all packages depend on ${misc:Depends}.
  * debian/rules:
    - Run 'make check' unless the nocheck option has been specified in
      DEB_BUILD_OPTIONS.
  * debian/patches:
    - Added include_config_h.dpatch -- this patch adds some missing includes.
    - Added manpage_typos.dpatch -- this patch fixes some typos in the
      manpage.
  * Added debian/README.source:
    - The file includes a pointer to /usr/share/doc/dpatch/README.source.gz.

 -- Sebastian Harl <tokkee@debian.org>  Sun, 27 Dec 2009 23:43:36 +0100

ncmpc (0.15-1) unstable; urgency=low

  * New upstream release:
    - Fixed NULL pointer dereference when not yet connected; thanks to Joey
      Hess for reporting this (Closes: #540415).
  * debian/control:
    - Updated Standards-Version to 3.8.3 - no changes.

 -- Sebastian Harl <tokkee@debian.org>  Thu, 08 Oct 2009 22:05:01 +0200

ncmpc (0.14-1) unstable; urgency=low

  * Re-upload to unstable - Lenny has been released.
  * debian/control:
    - Updated Standards-Version to 3.8.1 (no changes).
    - Updated version of build-dependency debhelper to >= 7.
  * debian/compat:
    - Updated from deprecated version 4 to the now recommended version 7.
  * debian/rules:
    - Use dh_prep instead of the deprecated dh_clean -k.
    - Pass CFLAGS as arguments to configure instead of setting them in the
      environment - this is the recommended way.

 -- Sebastian Harl <tokkee@debian.org>  Sat, 06 Jun 2009 20:19:58 +0200

ncmpc (0.13-1) experimental; urgency=low

  * New upstream release:
    - Made status line clock display configurable (Closes: #510392).
  * debian/changelog:
    - Upstream (partially) switched to mentioning "The Music Player Daemon
      Project" as copyright holder instead of listing single persons for each
      file. debian/changelog now refers to the AUTHORS file for a list of team
      members.
    - Use © instead of (C) to make lintian happy.
  * Added binary package "ncmpc-lyrics". This package includes the lyrics
    plugins, some of which depend on python or ruby. By splitting them into a
    separate package, we avoid any kind of dependency on python or ruby in the
    "ncmpc" package which now suggests ncmpc-lyrics instead of python, ruby.

 -- Sebastian Harl <sh@tokkee.org>  Sun, 11 Jan 2009 21:36:39 +0100



=== debian/rules ===
#!/usr/bin/make -f
# debian/rules for ncmpc
#
# Written by Sebastian Harl <tokkee@debian.org>

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

CPPFLAGS = $(shell dpkg-buildflags --get CPPFLAGS)
CFLAGS = $(shell dpkg-buildflags --get CFLAGS)
CFLAGS += -Wall
LDFLAGS = $(shell dpkg-buildflags --get LDFLAGS)

CHECK = check

ifneq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
	CHECK =
endif

config.status: configure
	dh_testdir
	./configure --host=$(DEB_HOST_GNU_TYPE) \
			--build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr \
			--mandir=\$${prefix}/share/man \
			--disable-mini \
			--enable-wide \
			--enable-multibyte \
			--enable-locale \
			--enable-nls \
			--enable-colors \
			--enable-lirc \
			--enable-help-screen \
			--enable-mouse \
			--enable-artist-screen \
			--enable-chat-screen \
			--enable-search-screen \
			--enable-song-screen \
			--enable-key-screen \
			--enable-lyrics-screen \
			--enable-outputs-screen \
			--enable-documentation \
			--with-ncursesw \
			CPPFLAGS="$(CPPFLAGS)" \
			CFLAGS="$(CFLAGS)" \
			LDFLAGS="$(LDFLAGS)"

build: build-arch build-indep
build-indep:
build-arch: build-stamp

build-stamp: config.status
	dh_testdir
	
	$(MAKE)
	test -z '$(CHECK)' || make $(CHECK)
	
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	
	[ ! -f Makefile ] || $(MAKE) distclean
	
	dh_clean

install-indep:
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs -i
	
	mkdir -p debian/ncmpc-lyrics/usr/lib/ncmpc/lyrics/
	cp lyrics/* debian/ncmpc-lyrics/usr/lib/ncmpc/lyrics/

install-arch: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs -a
	
	$(MAKE) install DESTDIR=$(CURDIR)/debian/ncmpc
	
	rm -rf debian/ncmpc/usr/lib/ncmpc/lyrics/
	# fail if any of these directories is not empty
	rmdir debian/ncmpc/usr/lib/ncmpc/
	rmdir debian/ncmpc/usr/lib/
	
	mkdir debian/ncmpc/usr/share/doc/ncmpc/examples
	mv debian/ncmpc/usr/share/doc/ncmpc/*.sample \
		debian/ncmpc/usr/share/doc/ncmpc/examples
	mv debian/ncmpc/usr/share/doc/ncmpc/ncmpc.lirc \
		debian/ncmpc/usr/share/doc/ncmpc/examples

binary-indep: install-indep
	dh_testdir
	dh_testroot
	dh_installchangelogs -i
	dh_installdocs -A -i NEWS README AUTHORS
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

binary-arch: build install-arch
	dh_testdir
	dh_testroot
	dh_installchangelogs -a
	dh_installdocs -A -a NEWS README
	dh_installmenu -a
	dh_link -a
	dh_strip -a
	dh_compress -a
	dh_fixperms -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-arch binary-indep
.PHONY: build clean binary-indep binary-arch binary install-indep install-arch

=== debian/watch ===
version=3
opts="uversionmangle=s/_alpha/~alpha/;s/_beta/~beta/" \
http://www.musicpd.org/download/ncmpc/(\d+)/ ncmpc-(.+)\.tar\.gz

## ncmpc 0.35

=== meson_options.txt ===
option('curses', type: 'combo',
  choices: ['ncursesw', 'ncurses', 'auto'],
  value: 'auto',
  description: 'Choose which curses implementation to use')

option('regex', type: 'feature',
  description: 'Enable regular expression support (using libpcre)')

option('mouse', type: 'feature',
  description: 'Enable mouse support')

option('colors', type: 'boolean',
  value: true,
  description: 'Enable color support')

option('multibyte', type: 'boolean',
  value: true,
  description: 'Enable multibyte character support')

option('locale', type: 'feature',
  description: 'Enable locale support')

option('nls', type: 'feature',
  description: 'Enable NLS support')

option('lirc', type: 'feature',
  description: 'Enable LIRC support')

option('async_connect', type: 'boolean',
  value: true,
  description: 'Enable asynchronous connect')

option('mini', type: 'boolean',
  value: false,
  description: 'Build ncmpc-mini, i.e. without all optional features')

option('help_screen', type: 'boolean',
  value: true,
  description: 'Enable the help screen')

option('library_screen', type: 'boolean',
  value: true,
  description: 'Enable the library screen')

option('search_screen', type: 'boolean',
  value: true,
  description: 'Enable the search screen')

option('song_screen', type: 'boolean',
  value: true,
  description: 'Enable the song viewer screen')

option('key_screen', type: 'boolean',
  value: true,
  description: 'Enable the key editor screen')

option('lyrics_screen', type: 'boolean',
  value: false,
  description: 'Enable the lyrics screen')

option('lyrics_plugin_dir', type: 'string',
  value: '',
  description: 'Directory where lyrics plugins are stored')

option('outputs_screen', type: 'boolean',
  value: true,
  description: 'Enable the outputs screen')

option('chat_screen', type: 'boolean',
  value: false,
  description: 'Enable the chat screen')

option('documentation', type: 'feature',
  description: 'Build documentation')

option('manual', type: 'boolean',
	value: true,
	description: 'Build the manual')

option('html_manual', type: 'boolean',
	value: true,
	description: 'Build the HTML manual')

## ncmpc 0.24-1

=== debian/changelog ===
ncmpc (0.24-1) unstable; urgency=low

  * Initial release (Closes: #nnnn)  <nnnn is the bug number of your ITP>

 -- Pawel Dajczak <totalizator@gmail.com>  Thu,  4 Dec 2014 19:43:04 +0100

=== debian/control ===
Source: ncmpc
Section: unknown
Priority: extra
Maintainer: Pawel Dajczak <totalizator@gmail.com>
Build-Depends: debhelper (>= 5), autotools-dev, libglib2.0-dev, libncurses-dev | libncurses5-dev, libncursesw5-dev, libmpdclient-dev (>=2.3)
Standards-Version: 3.7.2

Package: ncmpc
Version: 0.24-1maemo1
Section: user/multimedia
Priority: extra
Architecture: armel
Depends: libc6 (>= 2.5.0-1), libgcc1 (>= 1:4.2.1), libglib2.0-0 (>= 2.20.0), libmpdclient2 (>=2.3), libncurses5 (>= 5.7-1)
Installed-Size: 724
Maintainer: Pawel Dajczak <totalizator@gmail.com>
Source: ncmpc
Description: ncurses-based audio player
 ncmpc is a fully featured MPD client, which runs in a terminal (using ncurses). Its goal is to provide a keyboard oriented and consistent interface to MPD, without wasting resources.
Maemo-Display-Name: ncmpc
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAABmJLR0QA/wD/
 AP+gvaeTAAAACXBIWXMAAAsTAAALEwEAmpwYAAAAB3RJTUUH3gwDACoJJRLh
 nAAACx5JREFUaN7tmV1sXMd1x38zc5dckrvkLncpiR8iKZmyTSqCKH9JVi1Z
 lhXHsmq7ieP0I0LzUvclRYvCgoomTREUfSnSpxYCmgSQnaCNY8PKQ5uoRT5k
 2o0sChXMWg4iUF+WqILkikvucsX94N47M324d69WEpWEEov6QQMO9vJecu/5
 n/M//3NmBu6Ne+OuhliB/3cABcjgngE04AH2E4laSimATwN/D5wA8oGxFsgB
 7wFfBfo/iRF4DPiWlPI+INbV1cXGoSHWdHYihCCTyXDq1ClmZmaMEGLeWvvn
 wHc+CQBSwNeBP0ml03SsWUNndw+xeCvGaBojEfrX9rCuv590KsWpU6c4cuSI
 vXz5srDW/jXwt/8XlPpNAWwG3mhLJAa3P7mLVMcqHMfBGHPDHy0uLoL2eHR4
 M6tWraJarXLo0CHGxsZc4A+At/8/AOwAfrh+YCD2zL7fliDQWuNpD+3pW1wq
 hGBmeoqXXnieaDRKNBrlwIEDXLp0yQWSQHElAahf83wn8PaOXU+173n2OSGF
 DFggsBastVh7Kyua43HOnR3ngQ0bsNbS39/PyZMnleu6fcAPVjIAzq94+Cng
 R0/ufjq2dft2jLFIJXFQWCtQymCtWhqEtUSizVy5coX+/n4GBwfp6+tjfHz8
 9xOJxGcdx7krq13XVblc7pvAn93um5LA9x5+5LGWXXv2UK1WEdoEtkmUAmsV
 RlqkEOglomCtJTuXo6+vDyklu3fv5uLFi/LNN99s3rNnz127ft++fX969OjR
 U7cD8A8PDA1t2vfii2AtSiqEBYtFWQUWjJQoKTFKYZaIglSK2VwOYwxaa3bu
 3MmhQ4c4/K1vUpmZArFMBbeWSGOUz3zuZQDS6TTA0FIAXm5uadm/97l9RBoi
 gdJYQKGwWOUbq5REG4kUAiHEkrlwrVjEWosxhtbWVnq6u3njQp434s8vH4CQ
 8OEJLp4bZ92GB2rvs/ImBVkDfGPnk7vo6u5BBV6WUqGU8D+lRAZTKYWQkmuF
 AtZaxE1GLS5WQ2Baa9atXw/Tl4JO4w5mY+SWSiJv4u0fptLptc/s3YsQoKRC
 SoWUEiEkSvlgpPIBVBYWyE3+D6XZGUb+4yil4o0KaazF87wwCul0Gq7N3QXz
 7S3CXw+gGTjw8u/+npTSp4aUAqVkEAkV3rPGUJ7P06QEiUSCRDLJ0OAg7/7k
 x6g6hRHCrxm1pI5Go7BYXtGCXA/g4Nre3o77BgYQgJASqWpGS6QU/j0p0eUy
 iXgchMB1XTzPw4lEaIw4zGQyIZWsNTiOE0qt53mgnBWtxDUADnBg8/AWmpub
 EUL4XBe+0SL4VFJRLBRoi8fQgbr4VVnjeR7xeJz53HWKOMqnXy0a1woFaI75
 CXkXLFoKwH6g4bFtWxGhxyVCXr+WUlIuFWlv9T3veR6e54UgtNZgLaZOjRoa
 GkPvCyGYzmRgfhYmxsGJ3FHnU+u/ap8ymM92d3c7vWt7kYH3hRAoEVBICAQg
 raGxoQHPdW8wXGuN0ZpypUK0qSl8XUtTNFQhKSUXL15EWQ9xcC9cy91RN1+f
 UzUA7cDmJ3buFLUX1Twv6nmvPVpjMdzA8zd43/Mw1pLP50ml0tjAQ62xWJgP
 2WyWQqHAhg0baG904PDXg8Xb8oa3BIAkcP9jW7dhjPEpJGTo+VqhEgEztOeF
 nK+PgLu4iDaWeFsbBF8ej7WE3h8bG0MIQTwe45GHt8DoUchnl90768B59QC2
 NjU3y/ZkMky2WtISXEspKS8s4DgObmC8MSYEYYwhOzvLwOAgpuYhY0gkEhhj
 MMYwOjqK4zg0NzURiURI6yJc+CgoGObXTAtKhRSqvbOmPo92dnaipEJbg5QC
 Y0BYi5QSa01Q9i3a89AB/2vG16IxPz/P8LbtaK0RUlIpLvDxhQucO3sWpRSx
 WIzHt20jkUwihGD40a2Uf/GvkD0dRux2w2iPEw09sH5zSN96AJ9KtadAgjQC
 g0BIEFYgrN/7C+F71F2CPkZryuUyLW0JGhobAaguLrI6neK+9et59dVXV0Tv
 //hvvsG3czNok8Z13ZBCDrC2JdaCQOD/+HwXIvhd+EC0NiH/Qu4HNDpz5gxP
 PftcSL9iPs/jW570vWQt3/7+v/PRx3PL7t8Adgz38fm9O2huboZrBu35764H
 0K6UClgiQo8LIXwwQV7c7HkvUJ+xsTEGHhyks7ubcrlMuVRi4+CDeJ4XOEFw
 +N9OMXo5cgeqaZkrlPn83h1+/VIK13NxXfeGOtDoVqsIIcHP2+vvEQTLR0tV
 azKZTFiYSgsL/PeHHxJra2Pn7qdDg5UUJIPkvf41AqS8sxlYEy/neSF7glWd
 3bdQqJTP52O1CAiEH4g6ENZaku3tvHbkbdpaW1m4do3LExP03zfAM/v24bou
 AMVikZ50O01NUarV6or2POl4C3/1mT1h/1Uvo9nJycman5bsOyzQlkjwwude
 YiqToVAs8cJLL/GFL+7HcSIYa/0KWa2wbt26UOZu3na5m2GMIT9foFgsUiqV
 WFhYANAOMJ7NZodyc3Mk2pPBBqG9YW1L0M/39vZx8Ctfpeq6lMsVyuUyFv95
 sTDPQ8PDVKtVWlpaGB0dpbu7e0WMt9aQz+c5cuQI09PTnDlzpnr+/PlRoCSB
 UYDjx38etL5Lt33WWrTRVCqLVCqLuEE1FAjmZmfp6+oMi96FCxd46623blmh
 3annXdclkUhw8OBBNm3aZM6ePXvaGPOXwD87wDsAJ95/n6d2P01jYyPaV78g
 GDaMgn9de2gw1jKbnSEdbyEZVPJcLsd3v/sdpJREIpEVAzA5OWlfeeWV6uTk
 pAsUgPPAVQf4GBifmZl54PjP/5Ondj+NCLxvTc1owp2H2rVSDlNXLpBOJkgm
 k2GX+Prrr5PNzvLoIw/72r1CAMrlcvnYsWOvA78EqsBCTYWywDulUmnDifff
 l52dXQzcf3+Q5f6sed0GWyvVxQrjZ35Jb3cXsVgcay3lcpnDhw+TzWZ56KFh
 OjrSS+5ULBuAtbiuhxCiAhwBjtU/r63v/s4Y86Xp6enouyMjYuLKBINDG1nT
 2Rm0xgKtDZnMJLnZGbTr0r92LY7j4DgOV65c4ejRo1y9epXhzZvo6e6mGkjr
 XSewMbhutaZot6xHazcuAX80Pz//L+fPnyORaOPdYz9Da028LYE1hupihY6O
 DqLRKE40GubGe++9x/HjxwF44re2k0q1B8l921XgsldgbtBALjXqEX0P2HT1
 6tW/OHnypBgaGmLVqlWhlyPJRHhdLpeZmJjggw8+YGpqioaGhqlIxFk9M5OV
 5UoFKQWlYonhLRWM0Xzx0xt58Oz0DbJsrcVSE4jrYnGzcGzb2IHWt68pN4fk
 K8Cl2dnZfxodHSUWi9HZ2Uki4RtfKpXIZDLk83mK/h7QQn9v79s9XV1n84VC
 anJqavPExESvhYgUYl5KOWAtsS9/6Xcw1jfCaIM2GhsUOt84jTEWY/wGsVYE
 jdZobX7lUcDthLoH+EchxBZrbTvQCCgppSeFWFSOM9+eTJ7cNDh4HCGsMUYK
 IaxSSispTVDuVXZu7rPPv/ji46lUqrG2/VhL7PpKHXo/KJj1v7uuSy6XM6+9
 9tpHhULhy8Dx5RxwdAJ9QKK5qSmWTCRaU8mkWr16dVUp1eR5XmypxKo7DKz+
 bGTkC++MjGxdvXp1aLy9zW52bUVYf+/06dPs37//F57nfU0IMWKtzS/7iGnP
 rl38dGTkds9kLULBtLVj1p+OjCwCTwTy595xJsN/AV8DPlrpc+LfdHQHW5d3
 KkgR4Fxw9nxv3Bv3Rt34X0PMRptmfRDTAAAAAElFTkSuQmCC

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

config.status: configure
	dh_testdir
	# Add here commands to configure the package.
	./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info CFLAGS="$(CFLAGS)" LDFLAGS="-Wl,-z,defs"


build: build-stamp

build-stamp:  config.status
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#docbook-to-man debian/ncmpc.sgml > ncmpc.1

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 

	# Add here commands to clean up after the build process.
	-$(MAKE) distclean
ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.guess config.guess
endif


	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/ncmpc.
	$(MAKE) DESTDIR=$(CURDIR)/debian/ncmpc install

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## ncmpc 0.25

=== debian/changelog ===
ncmpc (0.25-0.1+deb9u1) stretch; urgency=medium

  * Non-maintainer upload.
  * Fix CVE-2018-9240 (Closes: #894724)

 -- Geoffroy Youri Berret <efrim@azylum.org>  Wed, 16 Jan 2019 12:51:14 +0100

ncmpc (0.25-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release
    - this release includes the autoreconf fixes
  * debian/patches/lirc.patch:
    - Adapt the configure script to detect the new lirc (Closes: #842326).
      (patch has been accepted upstream)

 -- Alec Leamas <leamas@nowhere.net>  Fri, 28 Oct 2016 07:05:23 +0200

=== debian/control ===
Source: ncmpc
Section: sound
Priority: optional
Maintainer: Sebastian Harl <tokkee@debian.org>
Build-Depends: debhelper (>= 7), dpkg-dev (>= 1.14.6), autotools-dev, libncursesw5-dev, libglib2.0-dev, liblircclient-dev, libmpdclient-dev (>= 2.5~), doxygen, dh-autoreconf
Standards-Version: 3.9.5
Homepage: http://mpd.wikia.com/wiki/Client:Ncmpc
Vcs-Git: git://git.tokkee.org/pkg-ncmpc.git
Vcs-Browser: http://git.tokkee.org/?p=pkg-ncmpc.git

Package: ncmpc
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: mpd, ncmpc-lyrics
Enhances: mpd
Provides: mpd-client
Description: ncurses-based audio player
 This package contains a text-mode client for MPD, the Music Player Daemon.
 Its goal is to provide a keyboard oriented and consistent interface to MPD,
 without wasting resources.
 .
 Features:
  - full Unicode and wide character support
  - music database browser, database search, media library
  - audio output configuration
  - lyrics
  - LIRC support
  - customizable key bindings and colors
  - tiny memory footprint, smaller than any other interactive MPD client

Package: ncmpc-lyrics
Architecture: all
Depends: ncmpc, python, ruby, ${misc:Depends}
Description: ncurses-based audio player (lyrics plugins)
 ncmpc is a text-mode client for MPD, the Music Player Daemon. Its goal is to
 provide a keyboard oriented and consistent interface to MPD, without wasting
 resources.
 .
 This package contains plugins to download lyrics.

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules for ncmpc
#
# Written by Sebastian Harl <tokkee@debian.org>

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

CPPFLAGS = $(shell dpkg-buildflags --get CPPFLAGS)
CFLAGS = $(shell dpkg-buildflags --get CFLAGS)
CFLAGS += -Wall
LDFLAGS = $(shell dpkg-buildflags --get LDFLAGS)

CHECK = check

ifneq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
	CHECK =
endif

config.status: configure
	dh_testdir
	dh_autoreconf
	./configure --host=$(DEB_HOST_GNU_TYPE) \
			--build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr \
			--mandir=\$${prefix}/share/man \
			--disable-mini \
			--enable-wide \
			--enable-multibyte \
			--enable-locale \
			--enable-nls \
			--enable-colors \
			--enable-lirc \
			--enable-help-screen \
			--enable-mouse \
			--enable-artist-screen \
			--enable-chat-screen \
			--enable-search-screen \
			--enable-song-screen \
			--enable-key-screen \
			--enable-lyrics-screen \
			--enable-outputs-screen \
			--enable-documentation \
			--with-ncursesw \
			CPPFLAGS="$(CPPFLAGS)" \
			CFLAGS="$(CFLAGS)" \
			LDFLAGS="$(LDFLAGS)"

build: build-arch build-indep
build-indep:
build-arch: build-stamp

build-stamp: config.status
	dh_testdir
	
	$(MAKE)
	test -z '$(CHECK)' || make $(CHECK)
	
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	
	[ ! -f Makefile ] || $(MAKE) distclean
	
	dh_clean

install-indep:
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs -i
	
	mkdir -p debian/ncmpc-lyrics/usr/lib/ncmpc/lyrics/
	cp lyrics/* debian/ncmpc-lyrics/usr/lib/ncmpc/lyrics/

install-arch: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs -a
	
	$(MAKE) install DESTDIR=$(CURDIR)/debian/ncmpc
	
	rm -rf debian/ncmpc/usr/lib/ncmpc/lyrics/
	# fail if any of these directories is not empty
	rmdir debian/ncmpc/usr/lib/ncmpc/
	rmdir debian/ncmpc/usr/lib/
	
	mkdir debian/ncmpc/usr/share/doc/ncmpc/examples
	mv debian/ncmpc/usr/share/doc/ncmpc/*.sample \
		debian/ncmpc/usr/share/doc/ncmpc/examples
	mv debian/ncmpc/usr/share/doc/ncmpc/ncmpc.lirc \
		debian/ncmpc/usr/share/doc/ncmpc/examples

binary-indep: install-indep
	dh_testdir
	dh_testroot
	dh_installchangelogs -i
	dh_installdocs -A -i NEWS README AUTHORS
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

binary-arch: build install-arch
	dh_testdir
	dh_testroot
	dh_installchangelogs -a
	dh_installdocs -A -a NEWS README
	dh_installmenu -a
	dh_link -a
	dh_strip -a
	dh_compress -a
	dh_fixperms -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-arch binary-indep
.PHONY: build clean binary-indep binary-arch binary install-indep install-arch

## ncmpc 0.27

=== debian/changelog ===
ncmpc (0.27-1) unstable; urgency=medium

  * New upstream release.
    - Drop lirc.patch; included upstream.
      Remove dh_autoreconf which isn't needed anymore.
  * Update standards version to 4.1.1:
    - Update to debhelper version 10.
    - Drop build-deps on autotools-dev and dh-autoreconf which are no longer
      needed.

 -- Sebastian Harl <tokkee@debian.org>  Sun, 22 Oct 2017 14:25:02 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: sound
 Priority: optional
 Maintainer: Sebastian Harl <tokkee@debian.org>
-Build-Depends: debhelper (>= 7), dpkg-dev (>= 1.14.6), autotools-dev, libncursesw5-dev, libglib2.0-dev, liblircclient-dev, libmpdclient-dev (>= 2.5~), doxygen, dh-autoreconf
-Standards-Version: 3.9.5
+Build-Depends: debhelper (>= 10~), dpkg-dev (>= 1.14.6), libncursesw5-dev, libglib2.0-dev, liblircclient-dev, libmpdclient-dev (>= 2.5~), doxygen
+Standards-Version: 4.1.1
 Homepage: http://mpd.wikia.com/wiki/Client:Ncmpc
 Vcs-Git: git://git.tokkee.org/pkg-ncmpc.git
 Vcs-Browser: http://git.tokkee.org/?p=pkg-ncmpc.git

## ncmpc 0.33

=== debian/changelog ===
ncmpc (0.33-2) unstable; urgency=medium

  * Install examples with dh, fixes FTBS (Closes: #919376)

 -- Geoffroy Youri Berret <efrim@azylum.org>  Tue, 15 Jan 2019 16:53:45 +0100

ncmpc (0.33-1) unstable; urgency=medium

  * Enable pgpmode in watch file, add upstream signing key
  * New upstream release.
    - Fix "CVE-2018-9240 (Closes: #894724)
    - Fix "segfault on bad connection" (Closes: #902699)
    - Fix "Defaults to non-policy-compliant configuration
      file" (Closes: #896059)
  * Update standards version to 4.3.0.
    Update debhelper to compat 12
    Update upstream Homepage
  * Update d/rules to build with meson.
    Switch from menu to XDG Desktop file
  * Refactored copyright (dep-5 machine-interpretable format)
  * Takeover for the mpd-team (Closes: #916731)
  * Register html manual with doc-base

 -- Geoffroy Youri Berret <efrim@azylum.org>  Mon, 07 Jan 2019 14:55:41 +0100

=== debian/control ===
Source: ncmpc
Section: sound
Priority: optional
Maintainer: mpd maintainers <pkg-mpd-maintainers@lists.alioth.debian.org>
Uploaders: Sebastian Harl <tokkee@debian.org>, Geoffroy Youri Berret <efrim@azylum.org>
Build-Depends: debhelper-compat (= 12),
        meson (>= 0.47),
        libncursesw5-dev,
        libboost-dev,
        libmpdclient-dev (>= 2.9),
        liblircclient-dev,
        pkg-config,
        libpcre++-dev,
# for doc
        python3-sphinx
Standards-Version: 4.3.0
Homepage: https://www.musicpd.org/clients/ncmpc/
Vcs-Git: https://salsa.debian.org/mpd-team/ncmpc.git
Vcs-Browser: https://salsa.debian.org/mpd-team/ncmpc

Package: ncmpc
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${sphinxdoc:Depends}
Suggests: mpd, ncmpc-lyrics
Enhances: mpd
Provides: mpd-client
Built-Using: ${sphinxdoc:Built-Using}
Description: ncurses-based audio player
 This package contains a text-mode client for MPD, the Music Player Daemon.
 Its goal is to provide a keyboard oriented and consistent interface to MPD,
 without wasting resources.
 .
 Features:
  - full Unicode and wide character support
  - music database browser, database search, media library
  - audio output configuration
  - lyrics
  - LIRC support
  - customizable key bindings and colors
  - tiny memory footprint, smaller than any other interactive MPD client

Package: ncmpc-lyrics
Architecture: all
Depends: ncmpc, ruby, ${misc:Depends}
Description: ncurses-based audio player (lyrics plugins)
 ncmpc is a text-mode client for MPD, the Music Player Daemon. Its goal is to
 provide a keyboard oriented and consistent interface to MPD, without wasting
 resources.
 .
 This package contains plugins to download lyrics.

=== debian/rules ===
#!/usr/bin/make -f

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with sphinxdoc

override_dh_auto_configure:
		dh_auto_configure -- \
				-Dartist_screen=true \
				-Dasync_connect=true \
				-Dcolors=true \
				-Dchat_screen=true \
				-Dcurses=ncursesw \
				-Ddocumentation=auto \
				-Dkey_screen=true \
				-Dhelp_screen=true \
				-Dhtml_manual=true \
				-Dlibrary_screen=true \
				-Dlyrics_screen=true \
				-Dlyrics_plugin_dir="/usr/lib/ncmpc/lyrics/" \
				-Dlirc=enabled \
				-Dlocale=enabled \
				-Dmanual=true \
				-Dmini=false \
				-Dmouse=enabled \
				-Dmultibyte=true \
				-Dnls=enabled \
				-Doutputs_screen=true \
				-Dregex=enabled \
				-Dsearch_screen=true \
				-Dsong_screen=true

override_dh_auto_install:
	dh_auto_install
	# Examples installed with dh_installexamples, cf. debian/ncmpc.examples
	rm debian/tmp/usr/share/doc/ncmpc/config.sample
	rm debian/tmp/usr/share/doc/ncmpc/keys.sample
	rm debian/tmp/usr/share/doc/ncmpc/ncmpc.lirc
	# Remove useless doc files
	rm debian/tmp/usr/share/doc/ncmpc/COPYING
	rm debian/tmp/usr/share/doc/ncmpc/NEWS

override_dh_installchangelogs:
	dh_installchangelogs NEWS

override_dh_installdocs:
	dh_installdocs -A AUTHORS

## ncmpc 0.35

=== debian/changelog ===
ncmpc (0.35-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:51:22 +0100

ncmpc (0.35-1) unstable; urgency=medium

  * New upstream release (Closes: #941761)
    - Show total duration of selection (Closes: #631121)
  * Drop manualInstPatch, included upstream
  * Update standards version to 4.4.0
  * Declare compliance with Debian Policy 4.4.1

 -- Geoffroy Youri Berret <efrim@azylum.org>  Tue, 15 Oct 2019 14:27:19 +0200

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
         libpcre++-dev,
 # for doc
         python3-sphinx
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 Homepage: https://www.musicpd.org/clients/ncmpc/
 Vcs-Git: https://salsa.debian.org/mpd-team/ncmpc.git
 Vcs-Browser: https://salsa.debian.org/mpd-team/ncmpc

=== debian/watch ===
# See uscan(1) for format

# Compulsory line, this is a version 4 file
version=4

# HTTP site (basic)
opts="pgpmode=auto" \
  https://www.musicpd.org/download/ncmpc/0/ \
  ncmpc-([\d\.]+)\.tar\.xz debian uupdate

## ncmpc 0.42

=== meson_options.txt ===
--- 
+++ 
@@ -1,3 +1,7 @@
+option('epoll', type: 'boolean', value: true, description: 'Use epoll on Linux')
+option('eventfd', type: 'boolean', value: true, description: 'Use eventfd() on Linux')
+option('signalfd', type: 'boolean', value: true, description: 'Use signalfd() on Linux')
+
 option('curses', type: 'combo',
   choices: ['ncursesw', 'ncurses', 'auto'],
   value: 'auto',

=== debian/changelog ===
ncmpc (0.42-1) unstable; urgency=medium

  * New upstream release
  * Add basic upstream metadata
  * Declare compliance with Debian Policy 4.5.0
  * d/watch: remove useless script part
  * Remove html documentation (Closes: #954362)
  * Drop ruby dependency in ncmpc-lyrics
  * Add NEWS.Debian regarding lyrics plugin removal
  * Update copyright
  * Bump dh compat to level 13
  * Dropped version in libmpdclient-dev dependency

 -- Geoffroy Youri Berret <efrim@azylum.org>  Wed, 11 Nov 2020 10:49:08 +0100

=== debian/control ===
--- 
+++ 
@@ -3,28 +3,28 @@
 Priority: optional
 Maintainer: mpd maintainers <pkg-mpd-maintainers@lists.alioth.debian.org>
 Uploaders: Sebastian Harl <tokkee@debian.org>, Geoffroy Youri Berret <efrim@azylum.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
         meson (>= 0.47),
         libncursesw5-dev,
         libboost-dev,
-        libmpdclient-dev (>= 2.9),
+        libmpdclient-dev,
         liblircclient-dev,
         pkg-config,
         libpcre++-dev,
 # for doc
         python3-sphinx
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Homepage: https://www.musicpd.org/clients/ncmpc/
 Vcs-Git: https://salsa.debian.org/mpd-team/ncmpc.git
 Vcs-Browser: https://salsa.debian.org/mpd-team/ncmpc
+Rules-Requires-Root: no
 
 Package: ncmpc
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${sphinxdoc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}
 Suggests: mpd, ncmpc-lyrics
 Enhances: mpd
 Provides: mpd-client
-Built-Using: ${sphinxdoc:Built-Using}
 Description: ncurses-based audio player
  This package contains a text-mode client for MPD, the Music Player Daemon.
  Its goal is to provide a keyboard oriented and consistent interface to MPD,
@@ -41,7 +41,7 @@
 
 Package: ncmpc-lyrics
 Architecture: all
-Depends: ncmpc, ruby, ${misc:Depends}
+Depends: ncmpc, ${misc:Depends}
 Description: ncurses-based audio player (lyrics plugins)
  ncmpc is a text-mode client for MPD, the Music Player Daemon. Its goal is to
  provide a keyboard oriented and consistent interface to MPD, without wasting

## ncmpc 0.43

=== debian/changelog ===
ncmpc (0.43-1) unstable; urgency=medium

  * Update copyright
  * Add python3 dependency in ncmpc-lyrics
  * Update NEWS.Debian regarding new lyrics plugin

 -- Geoffroy Youri Berret <efrim@azylum.org>  Wed, 27 Jan 2021 18:12:31 +0100

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
         libpcre++-dev,
 # for doc
         python3-sphinx
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Homepage: https://www.musicpd.org/clients/ncmpc/
 Vcs-Git: https://salsa.debian.org/mpd-team/ncmpc.git
 Vcs-Browser: https://salsa.debian.org/mpd-team/ncmpc
@@ -41,7 +41,7 @@
 
 Package: ncmpc-lyrics
 Architecture: all
-Depends: ncmpc, ${misc:Depends}
+Depends: ncmpc, python3, ${misc:Depends}
 Description: ncurses-based audio player (lyrics plugins)
  ncmpc is a text-mode client for MPD, the Music Player Daemon. Its goal is to
  provide a keyboard oriented and consistent interface to MPD, without wasting

## ncmpc 0.45

=== debian/changelog ===
ncmpc (0.45-1) unstable; urgency=medium

  * New upstream release (Closes: #982575)
  * Add dependency on python3-unidecode in ncmpc-lyrics
  * Update copyright

 -- Geoffroy Youri Berret <efrim@azylum.org>  Fri, 12 Feb 2021 12:39:11 +0100

=== debian/control ===
--- 
+++ 
@@ -41,7 +41,7 @@
 
 Package: ncmpc-lyrics
 Architecture: all
-Depends: ncmpc, python3, ${misc:Depends}
+Depends: ncmpc, python3, python3-unidecode, ${misc:Depends}
 Description: ncurses-based audio player (lyrics plugins)
  ncmpc is a text-mode client for MPD, the Music Player Daemon. Its goal is to
  provide a keyboard oriented and consistent interface to MPD, without wasting

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 %:
-	dh $@ --with sphinxdoc
+	dh $@
 
 override_dh_auto_configure:
 		dh_auto_configure -- \
@@ -16,7 +16,7 @@
 				-Ddocumentation=auto \
 				-Dkey_screen=true \
 				-Dhelp_screen=true \
-				-Dhtml_manual=true \
+				-Dhtml_manual=false \
 				-Dlibrary_screen=true \
 				-Dlyrics_screen=true \
 				-Dlyrics_plugin_dir="/usr/lib/ncmpc/lyrics/" \

## ncmpc 0.46

=== meson_options.txt ===
--- 
+++ 
@@ -50,6 +50,11 @@
   value: true,
   description: 'Enable the search screen')
 
+# The playlist editor is work in progress, not usable yet.
+option('playlist_editor', type: 'boolean',
+  value: false,
+  description: 'Enable the playlist editor')
+
 option('song_screen', type: 'boolean',
   value: true,
   description: 'Enable the song viewer screen')

=== debian/changelog ===
ncmpc (0.46-1) unstable; urgency=medium

  * Revert "Depends on python3:any for ncmpc-lyrics"
  * Remove libboost-dev build dependency
  * Update build dependency for libpcre
  * Disable explicitly playlist_editor build option

 -- Geoffroy Youri Berret <efrim@azylum.org>  Sat, 27 Nov 2021 15:39:16 +0100

ncmpc (0.45-2) unstable; urgency=medium

  * Declare compliance with Debian Policy 4.6.0
  * Moved lyrics plugin to /usr/libexec
  * Depends on python3:any for ncmpc-lyrics
  * Remove obsolete configure option artist_screen (Closes: #998564)
  * Enable NDEBUG to disable asserts

 -- Geoffroy Youri Berret <efrim@azylum.org>  Sat, 06 Nov 2021 12:25:39 +0100

=== debian/control ===
--- 
+++ 
@@ -6,14 +6,13 @@
 Build-Depends: debhelper-compat (= 13),
         meson (>= 0.47),
         libncursesw5-dev,
-        libboost-dev,
         libmpdclient-dev,
         liblircclient-dev,
         pkg-config,
-        libpcre++-dev,
+        libpcre2-dev,
 # for doc
         python3-sphinx
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://www.musicpd.org/clients/ncmpc/
 Vcs-Git: https://salsa.debian.org/mpd-team/ncmpc.git
 Vcs-Browser: https://salsa.debian.org/mpd-team/ncmpc

## ncmpc 0.47

=== debian/changelog ===
ncmpc (0.47-2) unstable; urgency=medium

  [ Diederik de Haas ]
  * ci: Add Salsa's CI default configuration
  * ci: Disable 'test-crossbuild-arm64' job
  * d/control: lyrics: Add python3-bs4 and python3-requests dependencies
    (Closes: #1031754)
  * d/control: Replace B-D on transitional packages with their targets

  [ Geoffroy Youri Berret ]
  * Update copyright
  * Update standards version to 4.6.2, no changes needed.

 -- Geoffroy Youri Berret <kaliko@debian.org>  Wed, 22 Feb 2023 19:49:04 +0100

ncmpc (0.47-1) unstable; urgency=medium

  * Update my email as Uploaders
  * Update standards version to 4.6.1, no changes needed.
  * Update copyright

 -- Geoffroy Youri Berret <kaliko@debian.org>  Mon, 04 Jul 2022 13:59:08 +0200

=== debian/control ===
--- 
+++ 
@@ -2,17 +2,17 @@
 Section: sound
 Priority: optional
 Maintainer: mpd maintainers <pkg-mpd-maintainers@lists.alioth.debian.org>
-Uploaders: Sebastian Harl <tokkee@debian.org>, Geoffroy Youri Berret <efrim@azylum.org>
+Uploaders: Sebastian Harl <tokkee@debian.org>, Geoffroy Youri Berret <kaliko@debian.org>
 Build-Depends: debhelper-compat (= 13),
         meson (>= 0.47),
-        libncursesw5-dev,
+        libncurses-dev,
         libmpdclient-dev,
-        liblircclient-dev,
+        liblirc-dev,
         pkg-config,
         libpcre2-dev,
 # for doc
         python3-sphinx
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Homepage: https://www.musicpd.org/clients/ncmpc/
 Vcs-Git: https://salsa.debian.org/mpd-team/ncmpc.git
 Vcs-Browser: https://salsa.debian.org/mpd-team/ncmpc
@@ -40,7 +40,7 @@
 
 Package: ncmpc-lyrics
 Architecture: all
-Depends: ncmpc, python3, python3-unidecode, ${misc:Depends}
+Depends: ncmpc, python3, python3-unidecode, python3-bs4, python3-requests, ${misc:Depends}
 Description: ncurses-based audio player (lyrics plugins)
  ncmpc is a text-mode client for MPD, the Music Player Daemon. Its goal is to
  provide a keyboard oriented and consistent interface to MPD, without wasting

=== debian/watch ===
--- 
+++ 
@@ -6,4 +6,4 @@
 # HTTP site (basic)
 opts="pgpmode=auto" \
   https://www.musicpd.org/download/ncmpc/0/ \
-  ncmpc-([\d\.]+)\.tar\.xz debian uupdate
+  ncmpc-([\d\.]+)\.tar\.xz

## ncmpc 0.49

=== meson_options.txt ===
--- 
+++ 
@@ -89,3 +89,5 @@
 option('html_manual', type: 'boolean',
 	value: true,
 	description: 'Build the HTML manual')
+
+option('test', type: 'boolean', value: false, description: 'Build the unit tests and debug programs')

=== debian/changelog ===
ncmpc (0.49-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:06:04 +1100

ncmpc (0.49-1build1) noble; urgency=high

  * No change rebuild against liblirc-client0t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 22 Mar 2024 17:42:02 +0100

ncmpc (0.49-1) unstable; urgency=medium

  * New upstream release
  * Update copyright (upstream switched to spdx headers)
  * Add NEWS.Debian regarding the new config location

 -- Geoffroy Youri Berret <kaliko@debian.org>  Sun, 23 Apr 2023 15:40:46 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: ncmpc
 Section: sound
 Priority: optional
-Maintainer: mpd maintainers <pkg-mpd-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: mpd maintainers <pkg-mpd-maintainers@lists.alioth.debian.org>
 Uploaders: Sebastian Harl <tokkee@debian.org>, Geoffroy Youri Berret <kaliko@debian.org>
 Build-Depends: debhelper-compat (= 13),
         meson (>= 0.47),

## ncmpc 0.50

=== debian/changelog ===
ncmpc (0.50-1) unstable; urgency=medium

  * Update standards version to 4.7.0, no changes needed.
  * Update Build-Depends
  * Build-Depends: switch to pkgconf
  * Update copyright

 -- Geoffroy Youri Berret <kaliko@debian.org>  Fri, 13 Sep 2024 17:46:34 +0200

## ncmpc 0.51

=== debian/changelog ===
ncmpc (0.51-1build1) plucky; urgency=medium

  * Rebuild against latest fmtlib

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 13 Nov 2024 10:08:45 -0500

ncmpc (0.51-1) unstable; urgency=medium

  * New upstream release

 -- Geoffroy Youri Berret <kaliko@debian.org>  Sat, 28 Sep 2024 10:47:37 +0200

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,19 @@
 Source: ncmpc
 Section: sound
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: mpd maintainers <pkg-mpd-maintainers@lists.alioth.debian.org>
+Maintainer: mpd maintainers <pkg-mpd-maintainers@lists.alioth.debian.org>
 Uploaders: Sebastian Harl <tokkee@debian.org>, Geoffroy Youri Berret <kaliko@debian.org>
 Build-Depends: debhelper-compat (= 13),
-        meson (>= 0.47),
+        meson (>= 0.60),
+        libfmt-dev (>= 9.1.0),
         libncurses-dev,
         libmpdclient-dev,
         liblirc-dev,
-        pkg-config,
+        pkgconf,
         libpcre2-dev,
 # for doc
         python3-sphinx
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://www.musicpd.org/clients/ncmpc/
 Vcs-Git: https://salsa.debian.org/mpd-team/ncmpc.git
 Vcs-Browser: https://salsa.debian.org/mpd-team/ncmpc

## ncmpc 0.52

=== meson_options.txt ===
--- 
+++ 
@@ -26,6 +26,9 @@
 
 option('nls', type: 'feature',
   description: 'Enable NLS support')
+
+option('iconv', type: 'feature',
+  description: 'Enable iconv support')
 
 option('lirc', type: 'feature',
   description: 'Enable LIRC support')

=== debian/changelog ===
ncmpc (0.52-1) unstable; urgency=medium

  * Update Build-Depends
  * Update copyright

 -- Geoffroy Youri Berret <kaliko@debian.org>  Thu, 20 Feb 2025 11:36:23 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: mpd maintainers <pkg-mpd-maintainers@lists.alioth.debian.org>
 Uploaders: Sebastian Harl <tokkee@debian.org>, Geoffroy Youri Berret <kaliko@debian.org>
 Build-Depends: debhelper-compat (= 13),
-        meson (>= 0.60),
+        meson (>= 1.0.0),
         libfmt-dev (>= 9.1.0),
         libncurses-dev,
         libmpdclient-dev,

=== debian/rules ===
--- 
+++ 
@@ -7,8 +7,7 @@
 	dh $@
 
 override_dh_auto_configure:
-		dh_auto_configure -- \
-				-Dartist_screen=true \
+		dh_auto_configure -- -Db_ndebug=true \
 				-Dasync_connect=true \
 				-Dcolors=true \
 				-Dchat_screen=true \
@@ -19,7 +18,7 @@
 				-Dhtml_manual=false \
 				-Dlibrary_screen=true \
 				-Dlyrics_screen=true \
-				-Dlyrics_plugin_dir="/usr/lib/ncmpc/lyrics/" \
+				-Dlyrics_plugin_dir="/usr/libexec/ncmpc/lyrics/" \
 				-Dlirc=enabled \
 				-Dlocale=enabled \
 				-Dmanual=true \
@@ -28,6 +27,7 @@
 				-Dmultibyte=true \
 				-Dnls=enabled \
 				-Doutputs_screen=true \
+				-Dplaylist_editor=false \
 				-Dregex=enabled \
 				-Dsearch_screen=true \
 				-Dsong_screen=true
